Package org.drinkless.tdlib

# Class TdApi.SendBusinessMessageAlbum

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.BusinessMessages>
org.drinkless.tdlib.TdApi.SendBusinessMessageAlbum

Enclosing class:
  `TdApi`

public static class TdApi.SendBusinessMessageAlbum extends TdApi.Function<TdApi.BusinessMessages>
Sends 2-10 messages grouped together into an album on behalf of a business account; for bots only. Currently, only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

Returns `BusinessMessages`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `businessConnectionId`
  Unique identifier of business connection on behalf of which to send the request.
  `long`
  `chatId`
  Target chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `disableNotification`
  Pass true to disable notification for the message.
  `long`
  `effectId`
  Identifier of the effect to apply to the message.
  `TdApi.InputMessageContent[]`
  `inputMessageContents`
  Contents of messages to be sent.
  `boolean`
  `protectContent`
  Pass true if the content of the message must be protected from forwarding and saving.
  `TdApi.InputMessageReplyTo`
  `replyTo`
  Information about the message to be replied; pass null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendBusinessMessageAlbum()`
  Default constructor for a function, which sends 2-10 messages grouped together into an album on behalf of a business account; for bots only.
  `SendBusinessMessageAlbum(String businessConnectionId, long chatId, TdApi.InputMessageReplyTo replyTo, boolean disableNotification, boolean protectContent, long effectId, TdApi.InputMessageContent[] inputMessageContents)`
  Creates a function, which sends 2-10 messages grouped together into an album on behalf of a business account; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### businessConnectionId

    public String businessConnectionId
    Unique identifier of business connection on behalf of which to send the request.

  - ### chatId

    public long chatId
    Target chat.

  - ### replyTo

    public TdApi.InputMessageReplyTo replyTo
    Information about the message to be replied; pass null if none.

  - ### disableNotification

    public boolean disableNotification
    Pass true to disable notification for the message.

  - ### protectContent

    public boolean protectContent
    Pass true if the content of the message must be protected from forwarding and saving.

  - ### effectId

    public long effectId
    Identifier of the effect to apply to the message.

  - ### inputMessageContents

    public TdApi.InputMessageContent[] inputMessageContents
    Contents of messages to be sent. At most 10 messages can be added to an album. All messages must have the same value of showCaptionAboveMedia.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendBusinessMessageAlbum

    public SendBusinessMessageAlbum()
    Default constructor for a function, which sends 2-10 messages grouped together into an album on behalf of a business account; for bots only. Currently, only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

    Returns `BusinessMessages`

  - ### SendBusinessMessageAlbum

    public SendBusinessMessageAlbum(String businessConnectionId, long chatId, TdApi.InputMessageReplyTo replyTo, boolean disableNotification, boolean protectContent, long effectId, TdApi.InputMessageContent[] inputMessageContents)
    Creates a function, which sends 2-10 messages grouped together into an album on behalf of a business account; for bots only. Currently, only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

    Returns `BusinessMessages`

    Parameters:
      `businessConnectionId` - Unique identifier of business connection on behalf of which to send the request.
      `chatId` - Target chat.
      `replyTo` - Information about the message to be replied; pass null if none.
      `disableNotification` - Pass true to disable notification for the message.
      `protectContent` - Pass true if the content of the message must be protected from forwarding and saving.
      `effectId` - Identifier of the effect to apply to the message.
      `inputMessageContents` - Contents of messages to be sent. At most 10 messages can be added to an album. All messages must have the same value of showCaptionAboveMedia.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.BusinessMessages>`
    Returns:
      this.CONSTRUCTOR